class Control:
    """commands that player responds to"""
    def play(self,clip,starttime,speedscale=1.0):
        """immediately start clip at the given time (within the clip time)

        maybe we add track choice to this, like 'play just the audio of this clip'

        maybe we send the system clock time that's supposed to
        correspond to the clip time, so time errors can be corrected
        """
        
    def playstill(self,clip,t):
        """display that time in the clip and stop.

        this should stop overlay and use real drawing, so it can be
        screengrabbed."""
        
    def position(self):
        """get clip,time"""

    def stop(self):
        """"""
