
"""the ui gathers user input, most of which is converted into commands
that are run on the model. commands can be undone by running their
inverses.

module is called showcommands just to avoid clash with the standard
library's 'commands' module. """

class Command:
    
    """a command to be run on the show, involving selections, etc.
    every command carries its own inverse"""

class Commands:
    """single Commands object receives commands and runs them
    in the right context"""
    
    def newcommand(self,cmd):

        """the UI has produced a python command to run. it calls this
        method with the python code"""

        print cmd
